\begin{tikzpicture}
  \tikzset{node distance=0.5cm}

  \tikzstyle{startstop} = [
    rectangle, rounded corners, minimum width=3cm, minimum height=1cm,
    text centered, draw=black, fill=red!50, ultra thick
  ]

  \tikzstyle{input} = [
    trapezium, trapezium stretches=true, trapezium left angle=70,
    trapezium right angle=110, minimum width=3cm, minimum height=1cm,
    text centered, draw=black, fill=cyan!50, ultra thick
  ]

  \tikzstyle{process} = [
    rectangle, minimum width=3cm, minimum height=1cm, text centered, 
    text width=3cm, draw=black, fill=yellow!50, ultra thick
  ]

  \tikzstyle{decision} = [
    diamond, minimum width=3cm, minimum height=1cm, text centered,
    draw=black, fill=green!50, ultra thick
  ]

  \tikzstyle{arrow} = [ultra thick,->,>=stealth]

  \node (start) [startstop] {Start};

  \node (mission_input) [input, below=of start, anchor=north] {Mission input};

  \node (robot_registeres_decision)
    [decision, below=of mission_input, anchor=north] {Is robot registered?};

  \node (send_path_request)
    [process, below=of robot_registeres_decision, anchor=north] {Send path request};

  \node (reject_mission)
    [process, left=of robot_registeres_decision.west, anchor=east] {Reject mission};

  \node (wait_for_path)
    [process, below=of send_path_request, anchor=north] {Wait for path};

  \node (all_path_known)
    [decision, below=of wait_for_path, anchor=north] {All path known?};

  \node (store_path)
    [process, right=of all_path_known.east, anchor=west] {Store path};

  \node (divide_paths)
    [process, below=of all_path_known, anchor=north] {Divide paths};

  \node (send_path)
    [process, below=of divide_paths, anchor=north] {Send paths};

  \node (monitor_mission)
    [process, below=of send_path, anchor=north] {Monitor mission};

  \node (stop)
    [startstop, below=of monitor_mission, anchor=north] {Stop};

  \draw [arrow] (start) -- (mission_input);
  \draw [arrow] (mission_input) -- (robot_registeres_decision);
  \draw [arrow] (robot_registeres_decision.west) -- node[anchor=south]
    {no} (reject_mission.east);
  \draw [arrow] (robot_registeres_decision) -- node[anchor=east]
    {yes} (send_path_request);
  \draw [arrow] (reject_mission.130) |- (mission_input);
  \draw [arrow] (send_path_request) -- (wait_for_path);
  \draw [arrow] (wait_for_path) -- (all_path_known);
  \draw [arrow] (all_path_known) -- node[anchor=south]
    {no} (store_path);
  \draw [arrow] (all_path_known) -- node[anchor=east]
    {yes} (divide_paths);
  \draw [arrow] (store_path) |- (mission_input);
  \draw [arrow] (divide_paths) -- (send_path);
  \draw [arrow] (send_path) -- (monitor_mission);
  \draw [arrow] (monitor_mission) -- (stop);
\end{tikzpicture}

